import { buildPages } from "./pages/build";

const abort = (e: any) => {
	console.error(e);
	process.exit(1);
};

const check = <T>(p: Promise<T>) => p.catch(abort);

const gen = async () => {
	await check(buildPages());

	console.log("Generation done");
};

await gen();
